class Api {

    static host() {
        return "http://p.lrlz.com";
        //return "http://192.168.0.200";
    }

    static special(special_id) {
        return this.host() + "/mobile/index.php?act=special&op=index&page=10&curpage=1&client_type=ajax&special_id=" + special_id;
    }

    static brands() {
        return this.host() + "/mobile/index.php?act=brand&op=home&client_type=ajax";
    }

    static functionList() {
        return this.host() + "/mobile/index.php?client_type=ajax&act=category&op=index"
    }

    static goodsDetail(goods_id) {
        return this.host() + `/mobile/index.php?goods_id=${goods_id}&act=goods_common&op=index&client_type=ajax`
    }

    static searchSuggest() {
        return this.host() + '/mobile/index.php?act=search&op=history&curpage=1&client_type=ajax'
    }

    static search() {
        return this.host() + '/mobile/index.php?act=search&op=suggest_words&client_type=ajax'
    }

    static goodsContent(goods_id) {
        return this.host() + `/mobile/index.php?act=goods&op=detail&goods_id=${goods_id}&client_type=ajax`
    }

    static member_info_get() {
        return this.host() + '/mobile/index.php?act=member_info&op=get&client_type=ajax'
    }

    static shoppingCart() {
        return this.host() + '/mobile/index.php?minest_cartid=0&act=cart&op=list&client_type=ajax'
    }

    static changeOrderState() {
        return this.host() + '/mobile/index.php?act=member_order&op=change_state&client_type=ajax'
    }

    static orderList() {
        return this.host() + '/mobile/index.php?act=member_order&page=30&op=list&curpage=1&client_type=ajax'
    }

    static refundOrder() {
        return this.host() + '/mobile/index.php?act=member_refund&op=order_refund&client_type=ajax'
    }

    static deliverInfo(order_id) {
        return this.host() + '/mobile/index.php?act=member_order&op=search_deliver&order_id=' + order_id
    }

    static shopping_cart_edit(quantity, cart_id) {
        return this.host() + `/mobile/index.php?quantity=${quantity}&act=cart&op=edit&cart_id=${cart_id}&client_type=ajax`
    }

    static shopping_cart_add(quantity, goods_id) {
        return this.host() + `/mobile/index.php?quantity=${quantity}&act=cart&goods_id=${goods_id}&op=addex&client_type=ajax`
    }

    static user_bonus() {
        return this.host() + '/mobile/index.php?act=cart&op=rate_money&client_type=ajax'
    }

    static addressList() {
        return this.host() + '/mobile/index.php?act=member_address&op=address_list&client_type=ajax';
    }

    static homeTabs() {
        return this.host() + "/mobile/index.php?act=index&op=tabs&client_type=ajax"
    }

    static logInWeb(mobile, code) {
        return this.host() + `/mobile/index.php?act=login&op=bind_mobile&client_type=ajax&mobile=${mobile}&code=${code}`;
    }

    static getCode(mobile) {
        return this.host() + `/mobile/index.php?act=login&op=getcodex&client_type=ajax&mobile=${mobile}&type=register`;
    }

    static getFCode() {
        return this.host() + '/mobile/index.php?act=member_fcode&op=list&curpage=1&client_type=ajax';
    }

    static confirm_order(ifcart, cart_id, goods_id, num) {
        let goods_datas = '';
        if (ifcart == 0) {
            goods_datas = goods_id + '|' + num;
        }
        else {
            goods_datas = cart_id;
        }
        return this.host() + `/mobile/index.php?act=member_buy&op=step_first&curpage=1&ifcart=${ifcart}&cart_id=${goods_datas}&client_type=ajax`;
    }

    static get_address() {
        return this.host() + '/mobile/index.php?act=app_update&op=area&curpage=1&client_type=ajax';
    }

    static add_address(true_name, area_id, address, mobile) {
        return this.host() + `/mobile/index.php?act=member_address&op=address_add&curpage=1&client_type=ajax&true_name=${true_name}&area_id=${area_id}&address=${address}&mob_phone=${mobile}`;
    }

    static set_default_address(id, is_default) {
        return this.host() + `/mobile/index.php?act=member_address&op=set_default&curpage=1&client_type=ajax&address_id=${id}&is_default=${is_default}`;
    }
}

export default Api

